//----------------------------------------------------------------------------
// 
//      file: flipendian.cc
// 
//      function: convert endianess back and forth between little and big
//      author:   Yoonsuck Choe <yschoe@cs.utexas.edu>
//      creation: Sat Oct 17 04:23:54 CDT 1998
// 
//      $Revision: 1.2 $ $Date: 2001/11/30 20:24:15 $
//      $Log: flipendian.cc,v $
//      Revision 1.2  2001/11/30 20:24:15  yschoe
//      pglissom v1.0 release
//
//      Revision 1.1  1998/10/26 03:47:32  yschoe
//      Initial revision
//
//
//----------------------------------------------------------------------------

#include "flipendian.h"

void flip_endian(void *dest, void *src, size_t size) {

  char	convsrc[8],convdest[8];
  
  memcpy(convsrc,src,size);
	  
  for (unsigned int i=0; i<size; ++i) 
	convdest[i] = convsrc[size-i-1];

  memcpy(dest,convdest,size);

}
