## usage: [newV] = circaperture(img,nV)
##
##	img=nV image file
##     
##
##      Finds the circular aperture for the specified nV file
##     
##      By Subramonia Sarma <sps8556@cs.tamu.edu> on May 4 2002

function [newV] = circaperture(img,nV)
      
         # get size of matrix
	[rows, cols] = size(nV);

        img1=strcat(img,".test");
        printf("cols = %d , rows = %d\n",cols,rows);
        printf("img = %s\n",img1);      

	newV = zeros(rows,cols);   	
	
	xc=ceil(rows/2);
	yc=ceil(cols/2);

        printf("xc = %d , yc = %d\n",xc,yc);

	if (rows < cols)
	r=rows/2
	else
	r=cols/2;
	endif

        r=r-5;

	for i=1:rows
	for j=1:cols
	
        if (((abs(i-xc)**2)+(abs(j-yc)**2)) > (r**2))
	newV(i,j)=0;
	else
	newV(i,j)=nV(i,j);
	endif
	endfor
        endfor
            
	#save -ascii img1 nV;	

 
 endfunction

