# function [l,p] = lvsp(c,a_c,a_notc)
#
#	c 	: P(C)
#	a_c 	: P(A|C)
# 	a_notc	: P(A|~C)
#
#	returns L and P(A).

function [l,p] = lvsp(c,a_c,a_notc)
	
	l = a_c/a_notc;
	p = a_c*c+a_notc*(1-c);	

endfunction
