#!/usr/bin/wish

set width 136
set height 136
set zoom 1

#----------------------------------------------------------------------------
frame .misc 
pack .misc -side top

canvas .misc.net -relief sunken -borderwidth 1 -background white \
        -width [expr $zoom*$width] -height [expr $zoom*$height]
# pack .misc.net -side left -padx 10 -pady 5 

image create photo DATIMG -width [expr $zoom*$width] \
		-height [expr $zoom*$height]

label .misc.photo -relief sunken -borderwidth 1 -background white \
	-width [expr $zoom*$width] -height [expr $zoom*$height] -image DATIMG
pack .misc.photo -padx 5 -pady 5

#----------------------------------------------------------------------------
set fp [open [lindex $argv 0]]
for {set i 0} {$i<$height} {incr i} {

  set line [string trim [gets $fp] " "]
  set cols [split $line " "]
  set numcol [expr [llength $cols]-1]
  for {set j 0} {$j<=$numcol} {incr j} {
        # set or(${j}-${i}) [expr [lindex $cols $j]*180.0]
	set val [expr int([lindex $cols $j]*255)]
	set color [format "#%02x%02x%02x" $val $val $val]
	set sj [expr $j * $zoom]
	set si [expr $i * $zoom]
  	if {0} {
	 	.misc.net create rectangle\
                $sj $si [expr $sj+$zoom] [expr $si+$zoom] \
		-fill $color -outline $color
	}
	DATIMG put $color -to $sj $si [expr $sj+$zoom] [expr $si+$zoom]
  }
  if {[expr $i%[expr $height / 3]]==0} { update }
}
close $fp

update
